#
# spec file for package rsync (Version 2.6.2)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  tetex
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm te_ams te_latex tetex

Name:         rsync
License:      GPL
Group:        Productivity/Networking/Other
PreReq:       %fillup_prereq %insserv_prereq
Autoreqprov:  on
Version:      2.6.2
Release:      26
Summary:      Replacement for RCP/mirror that has Many More Features
Source:       ftp://rsync.samba.org/pub/rsync/rsync-%{version}.tar.bz2
Source1:      logrotate.rsync
Source2:      rsync.xinetd
Source3:      rsyncd.rc
Source4:      rsyncd.conf
Source5:      rsyncd.secrets
Patch:        rsync-2.6.2.dif
Patch1:       rsync-crash-fix
Patch2:       rsync-fix-backup-dir
Patch3:       rsync-2.6.2-path-sanitizing-secfix.diff
URL:          http://rsync.samba.org/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
rsync uses the "rsync algorithm" which provides a very fast method for
bringing remote files into sync. It does this by sending just the
differences in the files across the link, without requiring that both
sets of files be present at one of the ends of the link beforehand. At
first glance, this may seem impossible because the calculation of diffs
between two files normally requires local access to both files.

A technical report describing the rsync algorithm is included with this
package.



Authors:
--------
    Andrew.Tridgell@anu.edu.au
    paulus@cs.anu.edu.au

%prep
%setup -q
%patch
%patch1
%patch2
%patch3 -p1

%build
autoconf
CFLAGS=$RPM_OPT_FLAGS LDFLAGS=-s \
    ./configure --prefix=/usr \
	--infodir=/usr/share/info \
	--mandir=%{_mandir} \
	--with-rsh=rsh
make
make test
latex tech_report
latex tech_report
dvips tech_report -o tech_report.ps

%install
test -n "$RPM_BUILD_ROOT" && rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/usr/sbin/rsyncd
install -d $RPM_BUILD_ROOT/etc/logrotate.d
install -d $RPM_BUILD_ROOT/etc/init.d
install -d $RPM_BUILD_ROOT/etc/xinetd.d
install -d $RPM_BUILD_ROOT/usr/sbin
ln -f $RPM_BUILD_ROOT/usr/bin/rsync $RPM_BUILD_ROOT/usr/sbin/rsyncd
install -m 755 rsyncstats     $RPM_BUILD_ROOT/usr/bin
install -m 644 %{SOURCE1}     $RPM_BUILD_ROOT/etc/logrotate.d/rsync
install -m 644 %{SOURCE2}     $RPM_BUILD_ROOT/etc/xinetd.d/rsync
install -m 755 %{SOURCE3}     $RPM_BUILD_ROOT/etc/init.d/rsyncd
install -m 644 %{SOURCE4}     $RPM_BUILD_ROOT/etc/rsyncd.conf
install -m 600 %{SOURCE5}     $RPM_BUILD_ROOT/etc/rsyncd.secrets
ln -sf ../../etc/init.d/rsyncd                $RPM_BUILD_ROOT/usr/sbin/rcrsyncd

%preun
%stop_on_removal rsyncd

%post
%fillup_and_insserv rsyncd

%postun
%restart_on_update rsyncd
%insserv_cleanup

%files
%defattr(-,root,root)
%config(noreplace) /etc/rsyncd.conf
%config(noreplace) /etc/rsyncd.secrets
%config(noreplace) /etc/logrotate.d/rsync
%config(noreplace) /etc/xinetd.d/rsync
%config /etc/init.d/rsyncd
/usr/sbin/rcrsyncd
/usr/bin/rsync
/usr/sbin/rsyncd
/usr/bin/rsyncstats
%doc %{_mandir}/man1/rsync.1.gz
%doc %{_mandir}/man5/rsyncd.conf.5.gz
%doc COPYING README tech_report.ps tech_report.tex

%changelog -n rsync
* Sat Aug 14 2004 - mmj@suse.de
- add security fix for path-sanitizing bug [#43823]
* Fri Jul 23 2004 - ro@suse.de
- fixing problems apparently introduced with the update to 2.6.2:
- fix from cvs to not abort trying to create already created
  backup directories (#42780)
- fix from cvs to avoid crash on large trees (#42933)
* Mon May 10 2004 - ro@suse.de
- update to 2.6.2 / ported patches (#39672)
- fixes a problem with non-chroot modules
* Tue Mar 16 2004 - ro@suse.de
- add -4 and -6 options to manpage (#36144)
* Tue Jan 13 2004 - ro@suse.de
- update to version 2.6.0
* Thu Dec 04 2003 - ro@suse.de
- update to real 2.5.7
* Thu Dec 04 2003 - okir@suse.de
- fix heap overflow (#33478)
* Thu Nov 06 2003 - schwab@suse.de
- Fix quoting in configure script.
* Fri Oct 24 2003 - ro@suse.de
- added make test
* Mon Aug 18 2003 - ro@suse.de
- added stop_on_removal and restart_on_update macro calls
* Tue May 13 2003 - ro@suse.de
- use defattr
* Wed Mar 05 2003 - ro@suse.de
- add xinetd-config to filelist
* Tue Jan 28 2003 - ro@suse.de
- update to 2.5.6
- can combine ssh and daemon access
- supports URL like syntax rsync://
- IPv6 support in hosts.allow/deny
- recursive hang fixed upstream
* Fri Jan 24 2003 - ro@suse.de
- added xinetd-config snippet
* Wed Jan 15 2003 - ro@suse.de
- added logrotate config
* Tue Oct 08 2002 - ro@suse.de
- fix recursive hangup in server process on broken pipe
* Wed Aug 14 2002 - poeml@suse.de
- fix comment in init script
* Thu Aug 01 2002 - ro@suse.de
- use BuildRoot
- added PreReqs
* Mon Jul 22 2002 - kukuk@suse.de
- Don't source /etc/rc.config in init script [Bug 17123]
* Mon Jun 17 2002 - ro@suse.de
- update to 2.5.5
  setgroups patch removed, has been integrated
  zfree patch removed, rsync has current zlib fixes
  unsigned patch removed, has been integrated
* Wed Mar 06 2002 - okir@suse.de
- applied setgroups security fix
* Fri Feb 08 2002 - okir@suse.de
- applied zlib security fix
* Wed Feb 06 2002 - ro@suse.de
- make rsyncd a hardlink (#13041)
* Fri Feb 01 2002 - ro@suse.de
- added patch for segmentation fault
* Mon Jan 21 2002 - draht@suse.de
- corrected diff for log.c
* Mon Jan 21 2002 - ro@suse.de
- applied security patch for various signed/unsigned fixes
* Fri Dec 14 2001 - ro@suse.de
- removed START_RSYNCD
* Tue Aug 28 2001 - ro@suse.de
- on uninstall, call insserv to cleanup
* Tue Aug 28 2001 - ro@suse.de
- added rc-script and rc-config variable START_RSYNCD
  if someone wants to run rsyncd standalone (w/o inetd) (#9496)
* Mon Sep 25 2000 - ro@suse.de
- sorted
* Wed Sep 13 2000 - aj@suse.de
- Work with LFS; fix spec file to not print while building.
* Mon Sep 11 2000 - ro@suse.de
- update to 2.4.6
* Fri Aug 18 2000 - ro@suse.de
- update to 2.4.4
* Thu Jan 20 2000 - aj@suse.de
- rsync 2.3.2, install man pages -> /usr/share/man.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 13 1999 - fehr@suse.de
- update to 2.3.1
- added rsyncstats shell script
* Thu Dec 17 1998 - ro@suse.de
- update to 2.2.1
* Sat Nov 28 1998 - bs@suse.de
- added symlink /usr/sbin/rsyncd (to let it work with tcpd)
- added example configs
* Tue Nov 24 1998 - ro@suse.de
- update to 2.2.0
* Sat Sep 19 1998 - ro@suse.de
- defined _GNU_SOURCE where getopt_long is needed
* Mon Aug 24 1998 - ro@suse.de
- update to 2.1.0
  added manpage for rsyncd.conf
* Tue May 12 1998 - ro@suse.de
- update to 1.7.4
  generate tech_report.ps from tex-src
* Mon Nov 10 1997 - kfr@suse.de
- first version for S.u.S.E. (1.6.3)
